Bug 654583 - Review Request: pywcs - Python World Coordinate System routines
Review Request: pywcs - Python World Coordinate System routines
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-18 05:26 EST by Sergio Pascual
Modified: 2011-04-26 08:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-26 08:15:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbrobinson: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sergio Pascual 2010-11-18 05:26:03 EST
Spec URL: http://sergiopr.fedorapeople.org/pywcs.spec
SRPM URL: http://sergiopr.fedorapeople.org/pywcs-1.9-1.fc14.src.rpm
Description: pywcs is a set of routines for handling the FITS World Coordinate System (WCS) standard. It is a thin wrapper around the high- and mid-level interfaces of Dr. Mark Calabretta's WCSLIB.
Comment 1 Fabian Affolter 2010-11-19 10:22:18 EST
Just some quick comments:

- There is an example directory.  Include this can help the users.
- The same with the stuff in /doc
- CHANGELOG is missing
Comment 2 Sergio Pascual 2010-11-22 06:09:32 EST
I have added CHANGELOG and examples. To build doc, a missing module (stsci_sphinxext.conf) is required

Spec URL: http://sergiopr.fedorapeople.org/pywcs.spec
SRPM URL: http://sergiopr.fedorapeople.org/pywcs-1.9-2.fc14.src.rpm
Comment 3 Lars Sjöström 2010-12-27 15:58:52 EST
Quick informal review:

the first macro python_sitearch can be removed if you not plan to included the package in EPEL4/5 (no blocker)

see:
http://fedoraproject.org/wiki/Packaging/Python#Macros

You may also want to add a comment to the Requries tag as rpmbuild my not be able to resolve the deps by it self. (non blocker though)
Comment 4 Sergio Pascual 2011-04-19 04:52:33 EDT
New upstream version

Spec URL: http://sergiopr.fedorapeople.org/pywcs.spec
SRPM URL: http://sergiopr.fedorapeople.org/pywcs-1.10-1.fc16.src.rpm
Comment 5 Peter Robinson 2011-04-19 05:18:24 EDT
I'll review this one
Comment 6 Peter Robinson 2011-04-25 04:45:02 EDT
All looks fine. APPROVED

If your not planning on packaging for EPEL-5 or earlier you can remove the %clean section.

+ rpmlint output
rpmlint  pywcs.spec pywcs-debuginfo-1.9-1.fc16.x86_64.rpm pywcs-1.9-1.fc16.x86_64.rpm pywcs-1.9-1.fc16.src.rpm
pywcs.x86_64: W: incoherent-version-in-changelog 1.9-2 ['1.9-1.fc16', '1.9-1']
pywcs.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/pywcs/_pywcs.so _pywcs.so()(64bit)
3 packages and 1 specfiles checked; 0 errors, 2 warnings.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ latest version packaged

+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
  8f7b2b48a0ee6e775ff2c9c17a4e3985  pywcs-1.10-4.7.tar.gz
+ package successfully builds on at least one architecture
  tested using koji scratch build
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun+ does not use Prefix: /usr
n/a package owns all directories it creates
n/a no duplicate files in %files
+ Package perserves timestamps on install
+ Permissions on files must be set properly 
+ %defattr line
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package runtime 
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a devel must require the fully versioned base
+ packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream to include it
n/a translations of description and summary for non-English languages, if
available
+ reviewer should build the package in mock/koji
+ the package should build into binary RPMs on all supported architectures
n/a review should test the package functions as described
+ scriptlets should be sane
n/a non -devel packages should require fully versioned base
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin
n/a Package should have man files
Comment 7 Sergio Pascual 2011-04-25 18:47:47 EDT
New Package SCM Request
=======================
Package Name: pywcs
Short Description: Python World Coordinate System routines
Owners: sergiopr
Branches: F-15 F-14 F-13 EL-6
InitialCC:
Comment 8 Jason Tibbitts 2011-04-25 22:36:48 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.